
var draw_systems = function() {
    getFullPanel(4, 0, 2, 5, "tab-page-basic_systems", "sec-systems", "SYSTEMS", "", "VER 1.0");
    var panel = document.getElementById("sec-systems");
    panel.innerHTML += draw_systems_0();
    panel.innerHTML += draw_systems_1();
    panel.innerHTML += draw_systems_2();
    panel.innerHTML += draw_systems_3();
    panel.innerHTML += draw_systems_4();
}

var draw_systems_0 = function() {
    var html = getSectionTitle('SEED');
    var rows = '';
    var row = '';
    row = getInfoCell('', 'SEED T');
    row += getInfoCell('other-seed-type', 'DEFAULT001');
    rows += getInfoRow(row);

    html += getTabel(rows);
    html = getPanel(html);
    return html;
}

var draw_systems_1 = function() {
    var html = getSectionTitle('IMPLEMENT');
    var rows = '';
    var row = '';
    row = getInfoCell('', 'WIDTH');
    row += getInfoCell('impl-row-width', '1.00');
    row += getInfoCell('', 'ROWS');
    row += getInfoCell('impl-rows', '4');
    rows += getInfoRow(row);
    row = getInfoCell('', 'LEFT');
    row += getInfoCell('impl-leftmost-row', '1');
    row += getInfoCell('', 'RIGHT');
    row += getInfoCell('impl-rightmost-row', '4');
    rows += getInfoRow(row);
    row = getInfoCell('', 'A_ROW');
    row += getInfoCell('impl-active-rows', '4');
    row += getInfoCell('', 'RPH');
    row += getInfoCell('impl-rows-per-hectar', '60');
    rows += getInfoRow(row);
    row = getInfoCell('', 'IMPL T');
    row += getInfoCell('other-impl-type', 'SD');
    row += getInfoCell('', 'E_HEC');
    row += getInfoCell('impl-hectares-left', '4');
    rows += getInfoRow(row);

    html += getTabel(rows);
    html = getPanel(html);
    return html;
}

var draw_systems_2 = function() {
    var html = getSectionTitle('FERTILISER');
    var rows = '';
    var row = '';
    row = getInfoCell('', 'GOLD');
    row += getInfoCell('golden', '0005A6857');
    row += getInfoCell('', 'DENSITY');
    row += getInfoCell('fert-density', '1.228');
    rows += getInfoRow(row);

    html += getTabel(rows);
    html = getPanel(html);
    return html;
}

var draw_systems_3 = function() {
    var html = getSectionTitle('PICKUP');
    var rows = '';
    var row = '';
    row = getInfoCell('', 'MMPERP');
    row += getInfoCell('pickup-mm-per-pulse', '680');
    rows += getInfoRow(row);

    html += getTabel(rows);
    html = getPanel(html);
    return html;
}

var draw_systems_4 = function() {
    var html = getSectionTitle('LOGGING');
    var rows = '';
    var row = '';
    row = getInfoCell('', 'LOG PNT');
    row += getInfoCell('logging-log-pointer', '012ED');
    row += getInfoCell('', 'SIZE');
    row += getInfoCell('logging-log-size', '2.4 MB');
    rows += getInfoRow(row);

    html += getTabel(rows);
    html = getPanel(html);
    return html;
}

draw_systems();